XmCreatePushButtonGadget(3Xm)

NAME
XmCreatePushButtonGadget — the PushButtonGadget creation function.

SYNOPSIS
#include <Xm/PushBG.h>

Widget XmCreatePushButtonGadget (parent, name, arglist, argcount)
    Widget    parent;
    String    name;
    ArgList    arglist;
    Cardinal    argcount;

DESCRIPTION
XmCreatePushButtonGadget creates an instance of a PushButtonGadget widget and returns the associated widget ID.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

arglist
    Specifies the argument list.

argcount
    Specifies the number of attribute/value pairs in the argument list (arglist).

For a complete definition of PushButtonGadget and its associated resources, see XmPushButtonGadget(3Xm).

RETURN VALUE
Returns the PushButtonGadget widget ID.

RELATED INFORMATION
XmPushButtonGadget(3Xm).